%define upstream_name    LWP-Curl
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    LWP methods implementation with Curl engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/LWP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(URI::file)
BuildRequires: perl(WWW::Curl::Easy)
BuildArch: noarch

%description
LWP::Curl provides an interface similar to the LWP library, but is built on
top of the Curl library. The simple LWP-style interface means you don't
have to know anything about the underlying library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Fri Mar 22 2013 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 404516
- imported package perl-LWP-Curl


* Fri Mar 22 2013 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
